package com.sjyt.icom.asst.service;

import com.sjyt.icom.asst.common.enums.RoomEnum;
import com.sjyt.icom.asst.common.model.room.Room;

/**
 * <p>房间管理接口</p>
 *
 * @author renyanru
 * @version V1.0.0
 * @date 2022/6/13 13:00
 */
public interface IRoomManner<T> {
     int MEET_ROOM=14;
     int ONE_TO_ONE=2;
     int MANY=14;

    /**
     * 离开房间
     * @param t t
     */
     void leave(T t);

    /**
     * 加入房间
     * @param t t
     */
     void join(T t);

    /**
     * 创建房间
     * @param roomEnum 房间枚举
     * @return 房间
     */
    Room create(RoomEnum roomEnum);

}
